|
|
@@ -0,0 +1,19 @@
|
|
|
+#! /bin/sh
|
|
|
+
|
|
|
+echo "Running writefreely bootstrap"
|
|
|
+cp production/writefreely*.tar* bootstrap/
|
|
|
+
|
|
|
+pushd bootstrap
|
|
|
+docker build -t writefreely-bootstrap .
|
|
|
+docker run -it --rm -v ./data:/data writefreely-bootstrap
|
|
|
+if [ $? -ne 0 ]; then
|
|
|
+ exit 1
|
|
|
+fi
|
|
|
+docker image rm writefreely-bootstrap # cleanup
|
|
|
+rm writefreely*.tar* # cleanup
|
|
|
+
|
|
|
+popd
|
|
|
+cp bootstrap/data/* production/
|
|
|
+
|
|
|
+pushd production
|
|
|
+docker compose build
|